org.apache.storm.cassandra

## Class CassandraContext

- java.lang.Object
- - org.apache.storm.cassandra.context.WorkerCtx
  - - org.apache.storm.cassandra.CassandraContext

- All Implemented Interfaces:
    Serializable, SimpleClientProvider

      public class CassandraContext
      extends WorkerCtx
      implements SimpleClientProvider

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CassandraContext.CassandraConfFactory` Simple class to make `CassandraConf` from a Storm topology configuration.
    `static class` | `CassandraContext.ClientFactory` Simple class to make `CassandraContext.ClientFactory` from a Storm topology configuration.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CassandraContext()` Creates a new `CassandraContext` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleClient` | `getClient(Map<String,Object> config)` Creates a new cassandra client based on the specified storm configuration.

    - ### Methods inherited from class org.apache.storm.cassandra.context.WorkerCtx

      `getBeanfactory, getWorkerBean, getWorkerBean, register`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CassandraContext

          public CassandraContext()

      Creates a new `CassandraContext` instance.

  - ### Method Detail

    - #### getClient

          public SimpleClient getClient(Map<String,Object> config)

      Creates a new cassandra client based on the specified storm configuration.

      Specified by:
        `getClient` in interface `SimpleClientProvider`
      Parameters:
        `config` - The configuration passed to the storm topology.
      Returns:
        a new `SimpleClient` instance.

Copyright © 2019 The Apache Software Foundation. All rights reserved.